package app.furmeet.events.system

import android.app.Application
import android.content.Context
import android.content.res.Configuration
import app.furmeet.events.system.helper.LocaleManager


class App : Application() {
    override fun attachBaseContext(base: Context) {
        super.attachBaseContext(LocaleManager(base).patchedContext)
    }

    override fun onConfigurationChanged(newConfig: Configuration) {
        val lm = LocaleManager(this)
        newConfig.setLocale(lm.locale)
        super.onConfigurationChanged(newConfig)
    }
}